#
# Conditional build:
%bcond_without	gtk3	# use GTK+3 instead of GTK+2

Summary:	LXAppearance ObConf plugin
Summary(pl.UTF-8):	Wtyczka ObConf dla LXAppearance
Name:		lxappearance-obconf
Version:	0.2.3
Release:	4
License:	GPL v2+
Group:		X11/Applications
Source0:	https://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	ae0076d489aa786f5d573f7ff592a4ab
Patch0:		cairo-headers.patch
URL:		http://www.lxde.org/
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	gettext-tools
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	lxappearance-devel
BuildRequires:	openbox-devel >= 1:3.5
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.12.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXAppearance integrated ObConf to provide a better user experience.

ObConf is a program used to configure OpenBox window manager.

%description -l pl.UTF-8
Wtyczka LXAppearance zawierająca zintegrowanego ObConfa w celu
zapewnienia lepszej obsługi.

ObConf to program służący do konfigurowania zarządcy okien OpenBox.

%prep
%setup -q
%patch -P0 -p1

%build
%configure \
	%{?with_gtk3:--enable-gtk3} \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lxappearance/plugins/obconf.la

# unify name
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{tt_RU,tt}
# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG README
%attr(755,root,root) %{_libdir}/lxappearance/plugins/obconf.so
%{_datadir}/lxappearance/obconf
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxappearance-obconf.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a0ce65
- Release 4 (by relup.sh)

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> eb8e134
- Fix applying patches.

* Tue Jul 30 2024 Jan Rękorajski <baggins@pld-linux.org> 2b4d014
- add missing cairo hreader, rel 3

* Mon Apr 22 2024 Marcin Krol <hawk@tld-linux.org> d8aa0a8
- build with gtk3 by default

* Sat May 06 2023 Jakub Bogusz <qboosh@pld-linux.org> f76626c
- updated to 0.2.3

* Sat Oct 15 2016 Jan Rękorajski <baggins@pld-linux.org> 2d74e05
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 234ee4b
- updated gettext BR

* Sun Jan 19 2014 Jan Rękorajski <baggins@pld-linux.org> 7d13756
- release 2 (by relup.sh)

* Thu Jan 02 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 85d4d5d
- up to 0.2.1
- verbose build

* Sun May 12 2013 Jan Rękorajski <baggins@pld-linux.org> 1e1135a
- updated to 0.2.0

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> eae215d
- rebuild

* Mon Aug 15 2011 lmasko <lmasko@pld-linux.org> cb5fc61
- Locale fix.

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> cb4033f
- new

